install failed when NEUTRON_DEFAULT=false

Bug #1653106 reported by liuqing on 2016-12-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Trove Integration
Undecided
liuqing

Bug Description

Install failed when setting NEUTRON_DEFAULT=false in redstack.rc

The logs are as follows:

2016-12-29 11:36:48.800 | Finalizing Trove Network Configuration
finalize_trove_network: Neutron is not enabled. Nothing to do.
2016-12-29 11:36:48.809 | Starting Trove
LOGDIR: /opt/stack/logs
SCREEN_LOGDIR:
log: /opt/stack/logs/tr-api.log.2016-12-29-061059
LOGDIR: /opt/stack/logs
SCREEN_LOGDIR:
log: /opt/stack/logs/tr-tmgr.log.2016-12-29-061059
LOGDIR: /opt/stack/logs
SCREEN_LOGDIR:
log: /opt/stack/logs/tr-cond.log.2016-12-29-061059
+./stack.sh:main:1344                      merge_config_group /opt/stack/devstack/local.conf post-extra
+inc/meta-config:merge_config_group:171    local localfile=/opt/stack/devstack/local.conf
+inc/meta-config:merge_config_group:171    shift
+inc/meta-config:merge_config_group:172    local matchgroups=post-extra
+inc/meta-config:merge_config_group:174    [[ -r /opt/stack/devstack/local.conf ]]
+inc/meta-config:merge_config_group:176    local configfile group
+inc/meta-config:merge_config_group:177    for group in '$matchgroups'
++inc/meta-config:merge_config_group:178    get_meta_section_files /opt/stack/devstack/local.conf post-extra
++inc/meta-config:get_meta_section_files:63  local file=/opt/stack/devstack/local.conf
++inc/meta-config:get_meta_section_files:64  local matchgroup=post-extra
++inc/meta-config:get_meta_section_files:66  [[ -r /opt/stack/devstack/local.conf ]]
++inc/meta-config:get_meta_section_files:68  awk -v matchgroup=post-extra '
        /^\[\[.+\|.*\]\]/ {
            gsub("[][]", "", $1);
            split($1, a, "|");
            if (a[1] == matchgroup)
                print a[2]
        }
    ' /opt/stack/devstack/local.conf
+./stack.sh:main:1351                      [[ -x /opt/stack/devstack/local.sh ]]
+./stack.sh:main:1360                      service_check
+functions-common:service_check:1648       local service
+functions-common:service_check:1649       local failures
+functions-common:service_check:1650       SCREEN_NAME=stack
+functions-common:service_check:1651       SERVICE_DIR=/opt/stack/status
+functions-common:service_check:1654       [[ ! -d /opt/stack/status/stack ]]
++functions-common:service_check:1661       ls /opt/stack/status/stack/n-net.failure
+functions-common:service_check:1661       failures=/opt/stack/status/stack/n-net.failure
+functions-common:service_check:1663       for service in '$failures'
++functions-common:service_check:1664       basename /opt/stack/status/stack/n-net.failure
+functions-common:service_check:1664       service=n-net.failure
+functions-common:service_check:1665       service=n-net
+functions-common:service_check:1666       echo 'Error: Service n-net is not running'
Error: Service n-net is not running
+functions-common:service_check:1669       '[' -n /opt/stack/status/stack/n-net.failure ']'
+functions-common:service_check:1670       die 1670 'More details about the above errors can be found with screen'
+functions-common:die:186                  local exitcode=0
+functions-common:die:187                  set +o xtrace
[Call Trace]
./stack.sh:1360:service_check
/opt/stack/devstack/functions-common:1670:die
[ERROR] /opt/stack/devstack/functions-common:1670 More details about the above errors can be found with screen
Error on exit
World dumping... see /opt/stack/logs/worlddump-2016-12-29-113700.txt for details

-----------------------------
Release: Fri Nov 25 16:18:15 2016 +0100 commit bd3aafabd5b27c36ef8c9cc4b2a70dcc524eb5e7

liuqing (liuqing123) on 2016-12-31
Changed in trove-integration:
status: New → In Progress
assignee: nobody → liuqing (liuqing123)
description: updated
liuqing (liuqing123) on 2017-01-03
description: updated

Change abandoned by amrith (<email address hidden>) on branch: master
Review: https://review.openstack.org/416132
Reason: trove-integration is no longer accepting changes other than for stable branches. Support for nova-networking no longer exists.

Amrith Kumar (amrith) on 2017-01-04
Changed in trove-integration:
status: In Progress → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers